package mentionmatch;

import java.io.File;
import java.io.IOException;

public class MentionMatch {

    public static void main(String[] args) {
        String workDirectory;
        ListOfMentions measure, reference;

        if (args.length >= 1) {
            workDirectory=args[0];
        } else {
            workDirectory=".";
        }

        try {
            measure=new ListOfMentions(new File(workDirectory, "abr_wb_meawblom.csv"));
            reference=new ListOfMentions(new File(workDirectory, "abr_wb_refwblom.csv"));
        } catch (IOException ex) {
            ex.printStackTrace();
            System.exit(1);
            return;
        }
        
        Comparison result=new Comparison(measure, reference);
        result.process();
        result.print(System.out);
    }
}
